![InSAR Explorer](icon.png)

# InSAR Explorer

## Description
InSAR Explorer is a QGIS plugin that allows for dynamic visualization and analysis of InSAR time series data. 
InSAR Explorer currently supports visualizing outputs of [SARvey](https://github.com/luhipi/sarvey), [MintPy](https://github.com/insarlab/MintPy), [MiaplPy](https://github.com/insarlab/MiaplPy), [GMTSAR](https://topex.ucsd.edu/gmtsar/) and [EGMS products](https://egms.land.copernicus.eu/).
Check the full [documentation](https://luhipi.github.io/insar-explorer/) for a list of all supported software and instructions on how to create the required input data.

## How to use
### Install the plugin
Install InSAR Explorer. You can install the plugin from the QGIS Plugin Repository. Search for `InSAR Explorer` in the QGIS Plugin Manager and click `Install`.
More information about different installation methods can be found [here](https://luhipi.github.io/insar-explorer/#installation).

### Prepare time series data
Prepare the time series data as a vector or raster file in the [required format](https://luhipi.github.io/insar-explorer/#data-structure).
You can prepare the data using [different software](https://luhipi.github.io/insar-explorer/#data-preparation).
You can use the sample data provided [here](https://luhipi.github.io/insar-explorer/#sample-data) for testing the plugin.

### Use the plugin to plot time series
Open a vector or raster layer with InSAR time series data in QGIS. Open the plugin and click on any point in the map to display the time series data.
More information [here](https://luhipi.github.io/insar_explorer/#usage)

## Contributing
We welcome contributions to the project. Please follow the guidelines [here](https://luhipi.github.io/insar-explorer/#contributing).

## License
This plugin is licensed under the GPL-2.0 license. See the LICENSE file for more details.

## Authors
[Mahmud Haghighi](https://www.ipi.uni-hannover.de/en/haghighi/),
           [Andreas Piter](https://www.ipi.uni-hannover.de/en/piter/),
           [Erik Rivas](https://www.ipi.uni-hannover.de/en/institute/team/erik-rivas)

## Contact
For any questions or issues, please create an issue on the GitHub repository.


